Раскрытие информации в libwww-perl (module for Perl)

Дата публикации:
13.05.2014
Дата изменения:
13.05.2014
Всего просмотров:
580
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:N/A:N/E:U/RL:W/RC:C) = Base:5/Temporal:4
CVE ID:
CVE-2014-3230
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libwww-perl 6.x (module for Perl)
Уязвимые версии: libwww-perl 6.04 (module for Perl), возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к определенной конфиденциальной информации.

Уязвимость существует из-за ошибки проверки сертификата сервера в приложении при установке переменной HTTPS_CA_DIR или HTTPS_CA_FILE. Удаленный пользователь может путем перехвата сетевого трафика или с помощью атаки «человек посередине» получить доступ к определенной конфиденциальной информации.

URL производителя: http://search.cpan.org/

Решение: Исправлено в репозитории.

Ссылки: https://github.com/noxxi/lwp-protocol-https/commit/1b924708663f457a4f7c25ed35d7dfb3bb5b334d

или введите имя

CAPTCHA